MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025627Community[OCCT] OCCT:Visualizationpublic2014-12-17 17:532015-05-14 15:32
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025627: SelectedShape() and HasSelectedShape() of AIS_InteractiveContext class do not work as expected.
Descriptionfor (aContext->InitSelected(); aContext->MoreSelected(); aContext->NextSelected())
    {
        Handle_AIS_InteractiveObject& aAISObject = aContext->SelectedInteractive();
        const TopoDS_Shape& aSelectedShape = aContext->SelectedShape();
        Standard_Boolean aHasSelection = aContext->HasSelectedShape();
        Standard_Boolean anIsSame = aSelectedShape.IsSame(Handle_AIS_Shape::DownCast(aAISObject)->Shape());

// The interactiveObject is a box shape,

// In Neutral Point mode:
// 1. anIsSame is Standard_False. Expected result is Standard_True.
// 2. aHasSelection is Standard_True.

// In local context mode:
// The sub-shape selection mode is solid:
// 1. anIsSame is Standard_True.
// 2. aHasSelection is Standard_False. Expected result is Standard_True.

    }
Steps To Reproducebugs/vis/bug25627
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025492closedbugmaster the selected subshape does not have topological relationship with orginal shape in OCC680 

-  Notes
(0035467)
Vico Liang (developer)
2014-12-17 18:02

Dear kgv,

This issue is similar to 0025492, it has relation with the location of shape. It blocks the user normal workflow of OCCT interactive action. It works in OCCT6.7.1.

Best Regards,
Vico
(0035522)
git (administrator)
2014-12-19 15:27

Branch CR25627 has been created by vpa.

SHA-1: da0f6f760e56ddfa2098a66a2635883ab7de7731


Detailed log of new commits:

Author: vpa
Date: Fri Dec 19 15:24:09 2014 +0300

    0025627: SelectedShape() and HasSelectedShape() of AIS_InteractiveContext class do not work as expected.
    
    Location calculation in SelectedShape() was corrected;
    Method HasSelectedShape() that does not take into account shape decomposition was added.
    
    Test case for issue 25627
(0035523)
vpa (developer)
2014-12-19 15:36

Dear Kirill,

corresponding changes are pushed into branch CR25627 and are ready to be reviewed.
(0035631)
kgv (developer)
2014-12-23 20:28

Please test the patch.
(0035720)
mkv (tester)
2014-12-25 15:09

Dear BugMaster,
Branch CR25627 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: da0f6f760e56ddfa2098a66a2635883ab7de7731

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25627-master-occt/Debian60-64/bugs/vis/bug25627.html [^]
http://occt-tests.nnov.opencascade.com/CR25627-master-occt/Windows-32-VC10/bugs/vis/bug25627.html [^]
bugs vis(004) bug25627: OK

Testing on Linux:
occt component :
Total MEMORY difference: 367170780 / 367924740
Total CPU difference: 49173.68999999988 / 51486.81000000016
products component :
Total MEMORY difference: 112069484 / 112532308
Total CPU difference: 15703.469999999998 / 16881.949999999983

Testing on Windows:
occt component :
Total MEMORY difference: 277570552 / 277277864
Total CPU difference: 37618.140625 / 37472.0935757
products component :
Total MEMORY difference: 72358644 / 71352468
Total CPU difference: 10925.8125 / 10337.547159399997

There are no differences in images found by testdiff.
(0036559)
git (administrator)
2015-01-26 12:34

Branch CR25627 has been deleted by inv.

SHA-1: da0f6f760e56ddfa2098a66a2635883ab7de7731

- Related Changesets
occt: master 51023771
Timestamp: 2014-12-19 12:24:09
Author: vpa
Committer: bugmaster
Details ] Diff ]
0025627: SelectedShape() and HasSelectedShape() of AIS_InteractiveContext class do not work as expected.

Location calculation in SelectedShape() was corrected;
Method HasSelectedShape() that does not take into account shape decomposition was added.

Test case for issue 25627
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cdl Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/bugs/vis/bug25627 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-17 17:53 Vico Liang New Issue
2014-12-17 17:53 Vico Liang Assigned To => kgv
2014-12-17 17:57 Vico Liang Relationship added related to 0025492
2014-12-17 18:02 Vico Liang Note Added: 0035467
2014-12-17 18:19 kgv Assigned To kgv => vpa
2014-12-17 18:19 kgv Status new => assigned
2014-12-19 15:27 git Note Added: 0035522
2014-12-19 15:36 vpa Note Added: 0035523
2014-12-19 15:36 vpa Assigned To vpa => kgv
2014-12-19 15:36 vpa Status assigned => resolved
2014-12-19 15:36 vpa Steps to Reproduce Updated View Revisions
2014-12-23 20:28 kgv Note Added: 0035631
2014-12-23 20:28 kgv Assigned To kgv => bugmaster
2014-12-23 20:28 kgv Status resolved => reviewed
2014-12-24 11:18 mkv Assigned To bugmaster => mkv
2014-12-25 15:09 mkv Note Added: 0035720
2014-12-25 15:09 mkv Assigned To mkv => bugmaster
2014-12-25 15:09 mkv Status reviewed => tested
2014-12-26 13:33 bugmaster Changeset attached => occt master 51023771
2014-12-26 13:33 bugmaster Status tested => verified
2014-12-26 13:33 bugmaster Resolution open => fixed
2015-01-26 12:34 git Note Added: 0036559
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker